using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass]
  public partial class Texture2DPropertyName : ShaderPropertyName
  { 

    public void Set( Material material, Texture2D value )
    {
      _Set( material, value );
    }

    public Texture2D Get( Material material )
    {
      return _Get<Texture2D>( material, null );
    }

    public static Texture2DPropertyName Create( string name )
    {
      var t = new Texture2DPropertyName();
      t.propertyName = name;
      return t;
    }
  }
}